<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.domain-controller">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="local,remote"/>
        <elem name="complex-attribute" value="domain-controller"/>
        <elem name="addr-params" value="host"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.domain-controller"/>
    </annotation>
    <refs>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="remote" nillable="true"/>
        <param name="local" nillable="true"/>
    </params>
</feature-spec>